/* (c) 1994 by Axel Zinser aka Fifi (fifi@hiss.han.de) */
#ifndef __config_h__
#define __config_h__ 1

/*****  Grundsaetzliches: ****************************************************/
#define	MINFREE	1000	/* Minimaler Platz (in kB) auf dem SPOOL-Device,
			 * um Mails zu akzeptieren. */

#define	LOGFILE		"/usr/spool/bsmtp/OUTPUT/Log"
#define BBSIZE 100

#define	RECEIVED	"X-Received" /* Schreibt einen Received:-Header */

#define	DEBUG		/* OSI :-) */
#define	DEBUGDEV	"/tmp/debug"

/*****  SMTP-Implementation: *************************************************/
#define	RFC1652		/* 8-bit SMTP extension => RFC 1652 */
#define	RFC1653	512	/* message size declaration [kB] => RFC 1653 */
#undef	MIME		/* MIME */
#undef	FULLCMD		/* full command set as defined by RFC821 */
#undef	SMTPEXT		/* SMTP service extensions => RFC 1425 */

/* * *  Normaler Betrieb: * * * * * * * * * * * * * * * * * * * * * * * * * */
#define	SPOOLFILE	"/usr/spool/bsmtp/OUTPUT/baghira"
#define	SPOOLDIR	"/usr/spool/bsmtp/OUTPUT"

#define	LOCKFILE	"/usr/spool/bsmtp/OUTPUT/baghira.lck"

#define	BACKUP		/* Backup der Spooldatei nach Versand mittels
			 * $(DELIVER) unter dem Namen $(SPOOLFILE).$time.$$
			 * !BACKUP: Loeschen */


#define	AUTOUUX		/* $(DELIVER) wird automatisch initiiert, wenn die
			 * Groesse von $(SPOOLFILE) $(SPOOLSIZE) Bytes
			 * ueberschreietet */
#define	SPOOLSIZE	100000

			/* Kommandosequenz, um das bsmtp-File $(SPOOLFILE)
			 * zu versenden */

#define	DELIVER		"/usr/local/bin/gzip -9 | /usr/bin/uux - -gA -r baghira!rgsmtp"

			/* Wird das Programm als $(CALLUUX) aufgerufen, so
			 * wird $(SPOOLFILE) an $(DELIVER) uebergeben. */
#define	CALLUUX		"sbsmtp"
#define	RBSMTP		"rbsmtp"
#define	BSMTPD		"bsmtpd"

#define	SENDMAIL	"/usr/lib/sendmail"

#endif
